function EVENTINITIALISE_Level()
	-- load the initialprefs file
	C_RunScript("scripts\\net1\\initialpref.lua");
	
	EVENT_SetObjective();
end;

---------------------------------------------------------------------------------
-- Level. Standard level event.
---------------------------------------------------------------------------------
function EVENT_Level()
end;

function EVENT_SetObjective()
	Game.SetObjective(OBJECTIVE_SALES, Game.GetObjectiveTarget());
end;

---------------------------------------------------------------------------------
-- HourlyUpdate event. Called everytime the game calendar ticks another hour over
---------------------------------------------------------------------------------

function CATCHEVENT_HourlyUpdate(a) -- takes the current hour as an argument
	if People.NumberInCity() < 600 then
		if a == 14 then
			if Game.GetDifficulty() == DIFFICULTY_EASY then
			
--						  No		AGE				Class			Prefs				
				People.Create(2, 	AGE_ADULT, 			CLASS_LOW,		-1);
				People.Create(1, 	AGE_PENSIONER,		CLASS_LOW,	 	-1);
				People.Create(2, 	AGE_CHILD, 			CLASS_LOW,	 	-1);
				People.Create(1, 	AGE_TOURIST,		CLASS_LOW,	 	-1);
				People.Create(2, 	AGE_TEENAGER,		CLASS_LOW,	 	-1);
			
				People.Create(1, 	AGE_ADULT, 			CLASS_MEDIUM,	-1);
				People.Create(1, 	AGE_PENSIONER,		CLASS_MEDIUM, 	-1);
				People.Create(1, 	AGE_CHILD, 			CLASS_MEDIUM, 	-1);
				People.Create(2, 	AGE_TOURIST,		CLASS_MEDIUM, 	-1);
				People.Create(2, 	AGE_TEENAGER,		CLASS_MEDIUM, 	-1);
			
				People.Create(1, 	AGE_ADULT, 			CLASS_HIGH,		-1);
				People.Create(2, 	AGE_PENSIONER,		CLASS_HIGH, 	-1);
				People.Create(1, 	AGE_CHILD, 			CLASS_HIGH, 	-1);
				People.Create(1, 	AGE_TOURIST,		CLASS_HIGH, 	-1);
				People.Create(1, 	AGE_TEENAGER,		CLASS_HIGH, 	-1);

				People.Create(4, 	AGE_ADULT, 			-1,				-1);
				People.Create(2, 	AGE_PENSIONER,		-1,			 	-1);
				People.Create(2, 	AGE_CHILD, 			-1,			 	-1);
				People.Create(3, 	AGE_TOURIST,		-1,			 	-1);
				People.Create(2, 	AGE_TEENAGER,		-1,			 	-1);
			
			elseif Game.GetDifficulty() == DIFFICULTY_MEDIUM then
			
--						  No		AGE				Class			Prefs				
				People.Create(1, 	AGE_ADULT, 			CLASS_LOW,		-1);
				People.Create(0, 	AGE_PENSIONER,		CLASS_LOW,	 	-1);
				People.Create(1, 	AGE_CHILD, 			CLASS_LOW,	 	-1);
				People.Create(0, 	AGE_TOURIST,		CLASS_LOW,	 	-1);
				People.Create(1, 	AGE_TEENAGER,		CLASS_LOW,	 	-1);
			
				People.Create(0, 	AGE_ADULT, 			CLASS_MEDIUM,	-1);
				People.Create(0, 	AGE_PENSIONER,		CLASS_MEDIUM, 	-1);
				People.Create(0, 	AGE_CHILD, 			CLASS_MEDIUM, 	-1);
				People.Create(1, 	AGE_TOURIST,		CLASS_MEDIUM, 	-1);
				People.Create(1, 	AGE_TEENAGER,		CLASS_MEDIUM, 	-1);
			
				People.Create(0, 	AGE_ADULT, 			CLASS_HIGH,		-1);
				People.Create(1, 	AGE_PENSIONER,		CLASS_HIGH, 	-1);
				People.Create(0, 	AGE_CHILD, 			CLASS_HIGH, 	-1);
				People.Create(0, 	AGE_TOURIST,		CLASS_HIGH, 	-1);
				People.Create(0, 	AGE_TEENAGER,		CLASS_HIGH, 	-1);

				People.Create(4, 	AGE_ADULT, 			-1,				-1);
				People.Create(2, 	AGE_PENSIONER,		-1,			 	-1);
				People.Create(2, 	AGE_CHILD, 			-1,			 	-1);
				People.Create(3, 	AGE_TOURIST,		-1,			 	-1);
				People.Create(2, 	AGE_TEENAGER,		-1,			 	-1);

			else
						
--						  No		AGE				Class			Prefs				
				People.Create(1, 	AGE_ADULT, 			CLASS_LOW,		-1);
				People.Create(0, 	AGE_PENSIONER,		CLASS_LOW,	 	-1);
				People.Create(1, 	AGE_CHILD, 			CLASS_LOW,	 	-1);
				People.Create(0, 	AGE_TOURIST,		CLASS_LOW,	 	-1);
				People.Create(1, 	AGE_TEENAGER,		CLASS_LOW,	 	-1);
			
				People.Create(0, 	AGE_ADULT, 			CLASS_MEDIUM,	-1);
				People.Create(0, 	AGE_PENSIONER,		CLASS_MEDIUM, 	-1);
				People.Create(0, 	AGE_CHILD, 			CLASS_MEDIUM, 	-1);
				People.Create(1, 	AGE_TOURIST,		CLASS_MEDIUM, 	-1);
				People.Create(1, 	AGE_TEENAGER,		CLASS_MEDIUM, 	-1);
			
				People.Create(0, 	AGE_ADULT, 			CLASS_HIGH,		-1);
				People.Create(1, 	AGE_PENSIONER,		CLASS_HIGH, 	-1);
				People.Create(0, 	AGE_CHILD, 			CLASS_HIGH, 	-1);
				People.Create(0, 	AGE_TOURIST,		CLASS_HIGH, 	-1);
				People.Create(0, 	AGE_TEENAGER,		CLASS_HIGH, 	-1);

				People.Create(1, 	AGE_ADULT, 			-1,				-1);
				People.Create(1, 	AGE_PENSIONER,		-1,			 	-1);
				People.Create(1, 	AGE_CHILD, 			-1,			 	-1);
				People.Create(1, 	AGE_TOURIST,		-1,			 	-1);
				People.Create(1, 	AGE_TEENAGER,		-1,			 	-1);

			end;
		end;
	end
end;
